From 17dfab50cf27e0023286dcee58810b91906cf1aa Mon Sep 17 00:00:00 2001
From: Alexey Zapparov <alexey@zapparov.com>
Date: Wed, 21 Dec 2022 23:31:59 +0100
Subject: [PATCH] Remove time-0.1.x dependency

Bug: https://bugs.gentoo.org/864034
See: RUSTSEC-2020-0071 <https://rustsec.org/advisories/RUSTSEC-2020-0071>
See: Upstream Fix Proposal <https://github.com/starship/starship/pull/4750>
Signed-off-by: Alexey Zapparov <alexey@zapparov.com>
---
 Cargo.lock | 26 ++++----------------------
 Cargo.toml |  2 +-
 2 files changed, 5 insertions(+), 23 deletions(-)

diff --git a/Cargo.lock b/Cargo.lock
index 010862b3..60b965c0 100644
--- a/Cargo.lock
+++ b/Cargo.lock
@@ -306,7 +306,6 @@ dependencies = [
  "js-sys",
  "num-integer",
  "num-traits",
- "time 0.1.44",
  "wasm-bindgen",
  "winapi",
 ]
@@ -981,7 +980,7 @@ checksum = "1d58ccaaf783384a6ad68a6abf84942a3f88e34970ced3b34dc68183be50996d"
 dependencies = [
  "bstr",
  "itoa",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -1584,7 +1583,7 @@ dependencies = [
  "dirs-next",
  "objc-foundation",
  "objc_id",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -2585,7 +2584,7 @@ checksum = "8c0ea0c68418544f725eba5401a5b965a2263254c92458d04aeae74e9d88ff4e"
 dependencies = [
  "const_format",
  "is_debug",
- "time 0.3.14",
+ "time",
 ]
 
 [[package]]
@@ -2793,7 +2792,7 @@ dependencies = [
  "lazy_static",
  "libc",
  "nom 7.1.1",
- "time 0.3.14",
+ "time",
  "winapi",
 ]
 
@@ -2919,17 +2918,6 @@ dependencies = [
  "syn",
 ]
 
-[[package]]
-name = "time"
-version = "0.1.44"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "6db9e6914ab8b1ae1c260a4ae7a49b6c5611b40328a735b21862567685e73255"
-dependencies = [
- "libc",
- "wasi 0.10.0+wasi-snapshot-preview1",
- "winapi",
-]
-
 [[package]]
 name = "time"
 version = "0.3.14"
@@ -3195,12 +3183,6 @@ version = "0.9.0+wasi-snapshot-preview1"
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "cccddf32554fecc6acb585f82a32a72e28b48f8c4c1883ddfeeeaa96f7d8e519"
 
-[[package]]
-name = "wasi"
-version = "0.10.0+wasi-snapshot-preview1"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "1a143597ca7c7793eff794def352d41792a93c481eb1042423ff7ff72ba2c31f"
-
 [[package]]
 name = "wasi"
 version = "0.11.0+wasi-snapshot-preview1"
diff --git a/Cargo.toml b/Cargo.toml
index 2fccbe11..8af05383 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -35,7 +35,7 @@ config-schema = ["schemars"]
 notify = ["notify-rust"]
 
 [dependencies]
-chrono = { version = "0.4.22", features = ["clock", "std"] }
+chrono = { version = "0.4.22", default-features = false, features = ["clock", "std", "wasmbind"] }
 clap = { version = "=3.2.20", features = ["derive", "cargo", "unicode", "unstable-v4"] }
 clap_complete = "3.2.4"
 dirs-next = "2.0.0"
-- 
2.38.2

